Package Details: palemoon 29.4.2.1-1

Git Clone URL: https://aur.archlinux.org/palemoon.git (read-only, click to copy)
Package Base: palemoon
Description: Open source web browser based on Firefox focusing on efficiency.
Upstream URL: https://www.palemoon.org/
Keywords: browser goanna web
Licenses: GPL, MPL, LGPL
Submitter: artiom
Maintainer: WorMzy
Last Packager: WorMzy
Votes: 140
Popularity: 0.43
First Submitted: 2014-06-05 10:54
Last Updated: 2021-11-11 18:29

Sources (2)

Pinned Comments

WorMzy commented on 2021-03-02 16:19

There are a couple of keys that are used to sign commits (the latter may be retired):

https://keyserver.ubuntu.com/pks/lookup?search=0x40481E7B8FCF9CEC&fingerprint=on&op=index

https://keyserver.ubuntu.com/pks/lookup?search=0x26B40624BDBFD9F3&fingerprint=on&op=index

Import them into your keyring however you want.

https://wiki.archlinux.org/index.php/GnuPG#Import_a_public_key

Latest Comments

1 2 3 4 5 6 ... Next › Last »

andreas_baumann commented on 2021-11-27 12:48

Just for those compiling on Arch32: add LDFLAGS+="${LDFLAGS} -fuse-ld=bfd -Wl,--no-keep-memory" to build().

WorMzy commented on 2021-09-14 21:44

Yup, looks like they figured out that they'd packaged the wrong source. Muppets.

micwoj92 commented on 2021-09-14 19:26

Sums of source need update, seems like the tarball was changed.

WorMzy commented on 2021-09-14 11:58

Upstream appear to have thrown all their toys out of the pram (again), seemingly over some XP-supporting fork, and have taken their git development private. They now only offer unsigned source archives, the first of which, despite being called "palemoon-29.4.1-source.tar.xz" seems to contain the sources for v29.5.0a1. Use at your own risk.

micwoj92 commented on 2021-06-18 15:15

Great, so the merge requests have been accepted (without a valid reason). Anyway, I reuploaded gtk3 packages. I don't think GTK2 being EOL is valid reason.

micwoj92 commented on 2021-06-11 23:00

Also on AUR there are much more packages that use different gtk versions. I don't see how palemoon is different than any of these.

micwoj92 commented on 2021-06-11 22:58

I made these packages with 29.0.0 release (first one that upstream released gtk3 version). Now both are supported and gtk2 isn't going anywhere soon. WorMzy, maintainer of palemoon (gtk2 variant) said that he wants to use that for gtk2 version and I don't see problem with it. Look and linked comment and one after that.

https://aur.archlinux.org/packages/palemoon/?O=30&PP=10#comment-789447

ainola commented on 2021-06-11 22:36

Hi, micwoj92,

The request for deletion on this package (and palemoon-gtk3-bin) mention that GTK3 is now supported officially. I see that is reflected in recent release notes [1]. Is there any reason to keep these packages around?

[1] https://www.palemoon.org/releasenotes.shtml

WorMzy commented on 2021-06-11 13:17

If that's the case then that is a bug in yay, I won't modify the PKGBUILD to workaround it.

micwoj92 commented on 2021-06-11 13:16

That's problem with yay and not this package, also AUR helpers are not supported.